---
title: Instrumentation
weight: 3
---

This page should be a human readable guide to instrumentation in the language.

The main topics to cover will be creating and annotating spans, creating and
annotating metrics, how to pass context, and (if available) a guide to automatic
instrumentation in the language.

## Creating Spans

### Attributes

#### Semantic Attributes

### Events

## Creating Metrics

As the metrics API remains unstable, metrics documentation can be deferred

## Propagators and Context

## Automatic Instrumentation

If this is available, then this section should cover:

- Configuring automatic instrumentation for the language
- Examples of creating new child spans from AI parents
- List of libraries supported for automatic instrumentation
- How to create new automatic instrumentation, possibly?
